Package twisted :: Package enterprise :: Module xmlreflector :: Class XMLReflector

[show private | hide private]
[frames | no frames]

## Class XMLReflector

    Reflector --+
                |
               XMLReflector

Reflector for twisted.enterprise that uses XML files.

WARNING: this is an experimental piece of code. this reflector does not function completely yet! it is also very very slow.

Method Summary
| `__init__(self, baseDir, rowClasses)`
| `__getstate__(self)` (inherited from `Reflector`)
| `__setstate__(self, state)` (inherited from `Reflector`)
| ``addToCache`(self, rowObject)` NOTE: Should this be recursive?! requires better container knowledge... (inherited from `Reflector`)
| ``addToParent`(self, parentRow, rows, tableName)` util method used by reflectors. (inherited from `Reflector`)
| ``buildWhereClause`(self, relationship, row)` util method used by reflectors. (inherited from `Reflector`)
| ``deleteRow`(self, rowObject)` delete the row for this object from the database.
| `findInCache(self, rowClass, kw)` (inherited from `Reflector`)
| ``getTableInfo`(self, rowObject)` Get a TableInfo record about a particular instance. (inherited from `Reflector`)
| ``insertRow`(self, rowObject)` insert a new row for this object instance.
| ``loadObjectsFrom`(self, tableName, parentRow, data, whereClause, forceChildren)` The whereClause for XML loading is [(columnName, operation, value)] list of tuples
| `makeFilenameFor(self, rowObject)`
| ``populateSchemaFor`(self, tableInfo)` This is called once for each registered rowClass to add it and its foreign key relationships for that rowClass to the schema. (inherited from `Reflector`)
| ``removeFromCache`(self, rowObject)` NOTE: should this be recursive!?? (inherited from `Reflector`)
| ``updateRow`(self, rowObject)` update this rowObject to the database.
| ``_populate`(self)` load schema data
| `_rowLoader(self, tableName, parentRow, data, whereClause, forceChildren)`

Class Variable Summary
`string` | `extension`

Method Details

### deleteRow(self, rowObject)

delete the row for this object from the database.

### insertRow(self, rowObject)

insert a new row for this object instance. dont include the "container" attribute.

### loadObjectsFrom(self, tableName, parentRow=None, data=None, whereClause=None, forceChildren=1)

The whereClause for XML loading is [(columnName, operation, value)] list of tuples

### updateRow(self, rowObject)

update this rowObject to the database.

### _populate(self)

load schema data

Class Variable Details

### extension

  Type:
    `string`
  Value:

        '.xml'

Generated by Epydoc 1.1 on Sat Feb 15 21:19:01 2003 | http://epydoc.sf.net